drop user PUBS cascade;

create user PUBS identified by PUBS12
  default tablespace users
  temporary tablespace temp
  quota unlimited on users;

GRANT CREATE TABLE TO PUBS ;
GRANT CREATE VIEW TO PUBS ;
GRANT CREATE SESSION TO PUBS;

connect pubs/pubs12

set define off;

CREATE TABLE PUBS.AUTHORS
(
  AU_ID     VARCHAR2(11 BYTE)                   NOT NULL,
  AU_LNAME  VARCHAR2(40 BYTE)                   NOT NULL,
  AU_FNAME  VARCHAR2(20 BYTE)                   NOT NULL,
  PHONE     VARCHAR2(12 BYTE)                       NOT NULL,
  ADDRESS   VARCHAR2(40 BYTE),
  CITY      VARCHAR2(20 BYTE),
  STATE     VARCHAR2(2 BYTE),
  ZIP       VARCHAR2(5 BYTE),
  CONTRACT  NUMBER(2)                           NOT NULL,
  JOB_ID    NUMBER(2),
  ADDTLINFO1    NUMBER(2),
  ADDTLINFO2    NUMBER(2),
  ADDTLINFO3    NUMBER(2),
  ADDTLINFO4    NUMBER(2),
  ADDTLINFO5    NUMBER(2),
  ADDTLINFO6    NUMBER(2),
  ADDTLINFO7    NUMBER(2),
  ADDTLINFO8    NUMBER(2),
  ADDTLINFO9    NUMBER(2),
  ADDTLINFO10    NUMBER(2),
  ADDTLINFO11    NUMBER(2),
  ADDTLINFO12    NUMBER(2),
  ADDTLINFO13    NUMBER(2),
  ADDTLINFO14    NUMBER(2),
  ADDTLINFO15    NUMBER(2),
  ADDTLINFO16    NUMBER(2),
  ADDTLINFO17    NUMBER(2)
);

CREATE TABLE PUBS.DISCOUNTS
(
  DISCOUNTTYPE  VARCHAR2(40 BYTE)               NOT NULL,
  STOR_ID       VARCHAR2(4 BYTE),
  LOWQTY        NUMBER(5),
  HIGHQTY       NUMBER(5),
  DISCOUNT      NUMBER(4,2)                     NOT NULL
);

CREATE TABLE PUBS.EMPLOYEE
(
  EMP_ID     VARCHAR2(9 BYTE)                       NOT NULL,
  FNAME      VARCHAR2(20 BYTE)                  NOT NULL,
  MINIT      VARCHAR2(1 BYTE),
  LNAME      VARCHAR2(30 BYTE)                  NOT NULL,
  JOB_ID     NUMBER(5)                          NOT NULL,
  JOB_LVL    NUMBER(3),
  PUB_ID     VARCHAR2(4 BYTE)                       NOT NULL,
  HIRE_DATE  DATE                               NOT NULL
);

CREATE TABLE PUBS.JOBS
(
  JOB_ID    NUMBER(5)                           NOT NULL,
  JOB_DESC  VARCHAR2(50 BYTE)                   NOT NULL,
  MIN_LVL   NUMBER(3)                           NOT NULL,
  MAX_LVL   NUMBER(3)                           NOT NULL
);
grant select on PUBS.JOBS to hr;

CREATE TABLE PUBS.PUB_INFO
(
  PUB_ID   VARCHAR2(4 BYTE)                         NOT NULL,
  LOGO     BLOB,
  PR_INFO  CLOB
);

CREATE TABLE PUBS.PUBLISHERS
(
  PUB_ID    VARCHAR2(4 BYTE)                        NOT NULL,
  PUB_NAME  VARCHAR2(40 BYTE),
  CITY      VARCHAR2(20 BYTE),
  STATE     VARCHAR2(2 BYTE),
  COUNTRY   VARCHAR2(30 BYTE)
);

CREATE TABLE PUBS.ROYSCHED
(
  TITLE_ID  VARCHAR2(6 BYTE)                    NOT NULL,
  LORANGE   NUMBER(10),
  HIRANGE   NUMBER(10),
  ROYALTY   NUMBER(10)
);

CREATE TABLE PUBS.SALES
(
  STOR_ID   VARCHAR2(4 BYTE)                        NOT NULL,
  ORD_NUM   VARCHAR2(20 BYTE)                                NOT NULL,
  ORD_DATE  DATE                                NOT NULL,
  QTY       NUMBER(5)                           NOT NULL,
  PAYTERMS  VARCHAR2(12 BYTE)                                NOT NULL,
  TITLE_ID  VARCHAR2(6 BYTE)                                NOT NULL
);

CREATE TABLE PUBS.STORES
(
  STOR_ID       VARCHAR2(4 BYTE)                    NOT NULL,
  STOR_NAME     VARCHAR2(40 BYTE),
  STOR_ADDRESS  VARCHAR2(40 BYTE),
  CITY          VARCHAR2(20 BYTE),
  STATE         VARCHAR2(2 BYTE),
  ZIP           VARCHAR2(5 BYTE)
);

CREATE TABLE PUBS.TITLEAUTHOR
(
  AU_ID       VARCHAR2(11 BYTE)                              NOT NULL,
  TITLE_ID    VARCHAR2(6 BYTE)                              NOT NULL,
  AU_ORD      NUMBER(3),
  ROYALTYPER  NUMBER(10)
);

CREATE TABLE PUBS.TITLES
(
  TITLE_ID   VARCHAR2(6 BYTE)                               NOT NULL,
  TITLE      VARCHAR2(80 BYTE)                               NOT NULL,
  TYPE       VARCHAR2(12 BYTE)                      NOT NULL,
  PUB_ID     VARCHAR2(4 BYTE),
  PRICE      NUMBER(19,4),
  ADVANCE    NUMBER(19,4),
  ROYALTY    NUMBER(10),
  YTD_SALES  NUMBER(10),
  NOTES      VARCHAR2(200 BYTE),
  PUBDATE    DATE                               NOT NULL
);

CREATE VIEW PUBS.TITLEVIEW AS
select title, au_ord, au_lname, price, ytd_sales, pub_id
from authors, titles, titleauthor
where authors.au_id = titleauthor.au_id
   AND titles.title_id = titleauthor.title_id;


INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'172-32-1176', 'White', 'Johnson', '408 496-7223', '10932 Bigge Rd.', 'Menlo Park'
, 'CA', '94025', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'213-46-8915', 'Green', 'Marjorie', '415 986-7020', '309 63rd St. #411', 'Oakland'
, 'CA', '94618', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'238-95-7766', 'Carson', 'Cheryl', '415 548-7723', '589 Darwin Ln.', 'Berkeley', 'CA'
, '94705', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'267-41-2394', 'O''Leary', 'Michael', '408 286-2428', '22 Cleveland Av. #14', 'San Jose'
, 'CA', '95128', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'274-80-9391', 'Straight', 'Dean', '415 834-2919', '5420 College Av.', 'Oakland', 'CA'
, '94609', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'341-22-1782', 'Smith', 'Meander', '913 843-0462', '10 Mississippi Dr.', 'Lawrence'
, 'KS', '66044', 0); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'409-56-7008', 'Bennet', 'Abraham', '415 658-9932', '6223 Bateman St.', 'Berkeley'
, 'CA', '94705', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'427-17-2319', 'Dull', 'Ann', '415 836-7128', '3410 Blonde St.', 'Palo Alto', 'CA'
, '94301', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'472-27-2349', 'Gringlesby', 'Burt', '707 938-6445', 'PO Box 792', 'Covelo', 'CA'
, '95428', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'486-29-1786', 'Locksley', 'Charlene', '415 585-4620', '18 Broadway Av.', 'San Francisco'
, 'CA', '94130', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'527-72-3246', 'Greene', 'Morningstar', '615 297-2723', '22 Graybar House Rd.', 'Nashville'
, 'TN', '37215', 0); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'648-92-1872', 'Blotchet-Halls', 'Reginald', '503 745-6402', '55 Hillsdale Bl.', 'Corvallis'
, 'OR', '97330', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'672-71-3249', 'Yokomoto', 'Akiko', '415 935-4228', '3 Silver Ct.', 'Walnut Creek'
, 'CA', '94595', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'712-45-1867', 'del Castillo', 'Innes', '615 996-8275', '2286 Cram Pl. #86', 'Ann Arbor'
, 'MI', '48105', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'722-51-5454', 'DeFrance', 'Michel', '219 547-9982', '3 Balding Pl.', 'Gary', 'IN'
, '46403', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'724-08-9931', 'Stringer', 'Dirk', '415 843-2991', '5420 Telegraph Av.', 'Oakland'
, 'CA', '94609', 0); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'724-80-9391', 'MacFeather', 'Stearns', '415 354-7128', '44 Upland Hts.', 'Oakland'
, 'CA', '94612', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'756-30-7391', 'Karsen', 'Livia', '415 534-9219', '5720 McAuley St.', 'Oakland', 'CA'
, '94609', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'807-91-6654', 'Panteley', 'Sylvia', '301 946-8853', '1956 Arlington Pl.', 'Rockville'
, 'MD', '20853', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'846-92-7186', 'Hunter', 'Sheryl', '415 836-7128', '3410 Blonde St.', 'Palo Alto'
, 'CA', '94301', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'893-72-1158', 'McBadden', 'Heather', '707 448-4982', '301 Putnam', 'Vacaville', 'CA'
, '95688', 0); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'899-46-2035', 'Ringer', 'Anne', '801 826-0752', '67 Seventh Av.', 'Salt Lake City'
, 'UT', '84152', -1); 
INSERT INTO AUTHORS ( AU_ID, AU_LNAME, AU_FNAME, PHONE, ADDRESS, CITY, STATE, ZIP,
CONTRACT ) VALUES ( 
'998-72-3567', 'Ringer', 'Albert', '801 826-0752', '67 Seventh Av.', 'Salt Lake City'
, 'UT', '84152', -1); 
commit;
 
INSERT INTO DISCOUNTS ( DISCOUNTTYPE, STOR_ID, LOWQTY, HIGHQTY,
DISCOUNT ) VALUES ( 
'Initial Customer', NULL, NULL, NULL, 10.5); 
INSERT INTO DISCOUNTS ( DISCOUNTTYPE, STOR_ID, LOWQTY, HIGHQTY,
DISCOUNT ) VALUES ( 
'Volume Discount', NULL, 100, 1000, 6.7); 
INSERT INTO DISCOUNTS ( DISCOUNTTYPE, STOR_ID, LOWQTY, HIGHQTY,
DISCOUNT ) VALUES ( 
'Customer Discount', '8042', NULL, NULL, 5); 
commit;
 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'PMA42628M', 'Paolo', 'Y', 'Accorti', 14, 90, '1389',  TO_Date( '08/27/1992 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'PSA89086M', 'Pedro', 'S', 'Afonso', 7, 150, '1389',  TO_Date( '12/24/1990 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'VPA30890F', 'Victoria', 'P', 'Ashworth', 7, 140, '0877',  TO_Date( '09/13/1990 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'H-B39728F', 'Helen', NULL, 'Bennett', 12, 45, '0877',  TO_Date( '09/21/1989 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'L-B31947F', 'Lesley', NULL, 'Brown', 7, 120, '0877',  TO_Date( '02/13/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'F-C16315M', 'Francisco', NULL, 'Chang', 4, 227, '9952',  TO_Date( '11/03/1990 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'PTC11962M', 'Philip', 'T', 'Cramer', 2, 215, '9952',  TO_Date( '11/11/1989 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'A-C71970F', 'Aria', NULL, 'Cruz', 10, 87, '1389',  TO_Date( '10/26/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'AMD15433F', 'Ann', 'M', 'Devon', 3, 200, '1389',  TO_Date( '07/16/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'ARD36773F', 'Anabela', 'R', 'Domingues', 8, 100, '0877',  TO_Date( '01/27/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'PHF38899M', 'Peter', 'H', 'Franken', 10, 75, '0877',  TO_Date( '05/17/1992 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'PXH22250M', 'Paul', 'B', 'Henry', 5, 159, '1622',  TO_Date( '08/19/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'CFH28514M', 'Carlos', 'F', 'Hernadez', 5, 211, '9999',  TO_Date( '04/21/1989 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'PDI47470M', 'Palle', 'D', 'Ibsen', 7, 195, '0736',  TO_Date( '05/09/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'KJJ92907F', 'Karla', 'J', 'Jablonski', 9, 170, '9999',  TO_Date( '03/11/1994 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'KFJ64308F', 'Karin', 'F', 'Josephs', 14, 100, '0736',  TO_Date( '10/17/1992 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'ZZZ34323M', 'Roland', NULL, 'Kapl', 2, 220, '1389',  TO_Date( '12/31/2005 02:41:18 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'MGK44605M', 'Matti', 'G', 'Karttunen', 6, 220, '0736',  TO_Date( '05/01/1994 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'POK93028M', 'Pirkko', 'O', 'Koskitalo', 10, 80, '9999',  TO_Date( '11/29/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'JYL26161F', 'Janine', 'Y', 'Labrune', 5, 172, '9901',  TO_Date( '05/26/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'M-L67958F', 'Maria', NULL, 'Larsson', 7, 135, '1389',  TO_Date( '03/27/1992 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'Y-L77953M', 'Yoshi', NULL, 'Latimer', 12, 32, '1389',  TO_Date( '06/11/1989 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'LAL21447M', 'Laurence', 'A', 'Lebihan', 5, 175, '0736',  TO_Date( '06/03/1990 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'ENL44273F', 'Elizabeth', 'N', 'Lincoln', 14, 35, '0877',  TO_Date( '07/24/1990 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'PCM98509F', 'Patricia', 'C', 'McKenna', 11, 150, '9999',  TO_Date( '08/01/1989 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'R-M53550M', 'Roland', NULL, 'Mendel', 11, 150, '0736',  TO_Date( '09/05/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'RBM23061F', 'Rita', 'B', 'Muller', 5, 198, '1622',  TO_Date( '10/09/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'HAN90777M', 'Helvetius', 'A', 'Nagy', 7, 120, '9999',  TO_Date( '03/19/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'TPO55093M', 'Timothy', 'P', 'O''Rourke', 13, 100, '0736',  TO_Date( '06/19/1988 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'SKO22412M', 'Sven', 'K', 'Ottlieb', 5, 150, '1389',  TO_Date( '04/05/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'MAP77183M', 'Miguel', 'A', 'Paolino', 11, 112, '1389',  TO_Date( '12/07/1992 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'PSP68661F', 'Paula', 'S', 'Parente', 8, 125, '1389',  TO_Date( '01/19/1994 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'M-P91209M', 'Manuel', NULL, 'Pereira', 8, 101, '9999',  TO_Date( '01/09/1989 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'MJP25939M', 'Maria', 'J', 'Pontes', 5, 246, '1756',  TO_Date( '03/01/1989 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'M-R38834F', 'Martine', NULL, 'Rance', 9, 75, '0877',  TO_Date( '02/05/1992 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'DWR65030M', 'Diego', 'W', 'Roel', 6, 192, '1389',  TO_Date( '12/16/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'A-R89858F', 'Annette', NULL, 'Roulet', 6, 152, '9999',  TO_Date( '02/21/1990 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'MMS49649F', 'Mary', 'M', 'Saveley', 8, 175, '0736',  TO_Date( '06/29/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'CGS88322F', 'Carine', 'G', 'Schmitt', 13, 64, '1389',  TO_Date( '07/07/1992 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'MAS70474F', 'Margaret', 'A', 'Smith', 9, 78, '1389',  TO_Date( '09/29/1988 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'HAS54740M', 'Howard', 'A', 'Snyder', 12, 100, '0736',  TO_Date( '11/19/1988 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'MFS52347M', 'Martin', 'F', 'Sommer', 10, 165, '0736',  TO_Date( '04/13/1990 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'GHT50241M', 'Gary', 'H', 'Thomas', 9, 170, '0736',  TO_Date( '08/09/1988 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO EMPLOYEE ( EMP_ID, FNAME, MINIT, LNAME, JOB_ID, JOB_LVL, PUB_ID,
HIRE_DATE ) VALUES ( 
'DBT39435M', 'Daniel', 'B', 'Tonini', 11, 75, '0877',  TO_Date( '01/01/1990 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
commit;
 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
1, 'New Hire - Job not specified', 10, 10); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
2, 'Chief Executive Officer', 200, 250); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
3, 'Business Operations Manager', 175, 225); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
4, 'Chief Financial Officier', 175, 250); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
5, 'Publisher', 150, 250); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
6, 'Managing Editor', 140, 225); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
7, 'Marketing Manager', 120, 200); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
8, 'Public Relations Manager', 100, 175); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
9, 'Acquisitions Manager', 75, 175); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
10, 'Productions Manager', 75, 165); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
11, 'Operations Manager', 75, 150); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
12, 'Editor', 25, 100); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
13, 'Sales Representative', 25, 100); 
INSERT INTO JOBS ( JOB_ID, JOB_DESC, MIN_LVL, MAX_LVL ) VALUES ( 
14, 'Designer', 25, 100); 
commit;
 
INSERT INTO PUB_INFO ( PUB_ID, LOGO, PR_INFO ) VALUES ( 
'0736', NULL, 'This is sample text data for New Moon Books, publisher 0736 in the pubs database. New Moon Books is located in Boston, Massachusetts.'); 
INSERT INTO PUB_INFO ( PUB_ID, LOGO, PR_INFO ) VALUES ( 
'0877', NULL, 'This is sample text data for Binnet & Hardley, publisher 0877 in the pubs database. Binnet & Hardley is located in Washington, D.C.');
INSERT INTO PUB_INFO ( PUB_ID, LOGO, PR_INFO ) VALUES ( 
'1389', NULL, 'This is sample text data for Algodata Infosystems, publisher 1389 in the pubs database. Algodata Infosystems is located in Berkeley, California.'); 
INSERT INTO PUB_INFO ( PUB_ID, LOGO, PR_INFO ) VALUES ( 
'1622', NULL, 'This is sample text data for Five Lakes Publishing, publisher 1622 in the pubs database. Five Lakes Publishing is located in Chicago, Illinois.'); 
INSERT INTO PUB_INFO ( PUB_ID, LOGO, PR_INFO ) VALUES ( 
'1756', NULL, 'This is sample text data for Ramona Publishers, publisher 1756 in the pubs database. Ramona Publishers is located in Dallas, Texas.'); 
INSERT INTO PUB_INFO ( PUB_ID, LOGO, PR_INFO ) VALUES ( 
'9901', NULL, 'This is sample text data for GGG&G, publisher 9901 in the pubs database. GGG&G is located in Mnchen, Germany.'); 
INSERT INTO PUB_INFO ( PUB_ID, LOGO, PR_INFO ) VALUES ( 
'9952', NULL, 'This is sample text data for Scootney Books, publisher 9952 in the pubs database. Scootney Books is located in New York City, New York.'); 
INSERT INTO PUB_INFO ( PUB_ID, LOGO, PR_INFO ) VALUES ( 
'9999', NULL, 'This is sample text data for Lucerne Publishing, publisher 9999 in the pubs database. Lucerne publishing is located in Paris, France.'); 
commit;
 
INSERT INTO PUBLISHERS ( PUB_ID, PUB_NAME, CITY, STATE, COUNTRY ) VALUES ( 
'0736', 'New Moon Books', 'Boston', 'MA', 'USA'); 
INSERT INTO PUBLISHERS ( PUB_ID, PUB_NAME, CITY, STATE, COUNTRY ) VALUES ( 
'0877', 'Binnet & Hardley', 'Washington', 'DC', 'USA'); 
INSERT INTO PUBLISHERS ( PUB_ID, PUB_NAME, CITY, STATE, COUNTRY ) VALUES ( 
'1389', 'Algodata Infosystems', 'Berkeley', 'CA', 'USA'); 
INSERT INTO PUBLISHERS ( PUB_ID, PUB_NAME, CITY, STATE, COUNTRY ) VALUES ( 
'1622', 'Five Lakes Publishing', 'Chicago', 'IL', 'USA'); 
INSERT INTO PUBLISHERS ( PUB_ID, PUB_NAME, CITY, STATE, COUNTRY ) VALUES ( 
'1756', 'Ramona Publishers', 'Dallas', 'TX', 'USA'); 
INSERT INTO PUBLISHERS ( PUB_ID, PUB_NAME, CITY, STATE, COUNTRY ) VALUES ( 
'9901', 'GGG&G', 'Mnchen', NULL, 'Deutschland'); 
INSERT INTO PUBLISHERS ( PUB_ID, PUB_NAME, CITY, STATE, COUNTRY ) VALUES ( 
'9952', 'Scootney Books', 'New York', 'NY', 'USA'); 
INSERT INTO PUBLISHERS ( PUB_ID, PUB_NAME, CITY, STATE, COUNTRY ) VALUES ( 
'9999', 'Lucerne Publishing', 'Paris', 'FR', 'France'); 
commit;
 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU1032', 0, 5000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU1032', 5001, 50000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PC1035', 0, 2000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PC1035', 2001, 3000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PC1035', 3001, 4000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PC1035', 4001, 10000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PC1035', 10001, 50000, 18); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU2075', 0, 1000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU2075', 1001, 3000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU2075', 3001, 5000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU2075', 5001, 7000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU2075', 7001, 10000, 18); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU2075', 10001, 12000, 20); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU2075', 12001, 14000, 22); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU2075', 14001, 50000, 24); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS2091', 0, 1000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS2091', 1001, 5000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS2091', 5001, 10000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS2091', 10001, 50000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS2106', 0, 2000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS2106', 2001, 5000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS2106', 5001, 10000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS2106', 10001, 50000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC3021', 0, 1000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC3021', 1001, 2000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC3021', 2001, 4000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC3021', 4001, 6000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC3021', 6001, 8000, 18); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC3021', 8001, 10000, 20); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC3021', 10001, 12000, 22); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC3021', 12001, 50000, 24); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC3218', 0, 2000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC3218', 2001, 4000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC3218', 4001, 6000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC3218', 6001, 8000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC3218', 8001, 10000, 18); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC3218', 10001, 12000, 20); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC3218', 12001, 14000, 22); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC3218', 14001, 50000, 24); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PC8888', 0, 5000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PC8888', 5001, 10000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PC8888', 10001, 15000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PC8888', 15001, 50000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS7777', 0, 5000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS7777', 5001, 50000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS3333', 0, 5000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS3333', 5001, 10000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS3333', 10001, 15000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS3333', 15001, 50000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU1111', 0, 4000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU1111', 4001, 8000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU1111', 8001, 10000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU1111', 12001, 16000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU1111', 16001, 20000, 18); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU1111', 20001, 24000, 20); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU1111', 24001, 28000, 22); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU1111', 28001, 50000, 24); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC2222', 0, 2000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC2222', 2001, 4000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC2222', 4001, 8000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC2222', 8001, 12000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC2222', 12001, 20000, 18); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'MC2222', 20001, 50000, 20); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC7777', 0, 5000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC7777', 5001, 15000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC7777', 15001, 50000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC4203', 0, 2000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC4203', 2001, 8000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC4203', 8001, 16000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC4203', 16001, 24000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC4203', 24001, 32000, 18); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC4203', 32001, 40000, 20); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'TC4203', 40001, 50000, 22); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU7832', 0, 5000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU7832', 5001, 10000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU7832', 10001, 15000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU7832', 15001, 20000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU7832', 20001, 25000, 18); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU7832', 25001, 30000, 20); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU7832', 30001, 35000, 22); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'BU7832', 35001, 50000, 24); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS1372', 0, 10000, 10); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS1372', 10001, 20000, 12); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS1372', 20001, 30000, 14); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS1372', 30001, 40000, 16); 
INSERT INTO ROYSCHED ( TITLE_ID, LORANGE, HIRANGE, ROYALTY ) VALUES ( 
'PS1372', 40001, 50000, 18); 
commit;
 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'6380', '6871',  TO_Date( '09/14/1994 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 5, 'Net 60'
, 'BU1032'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'6380', '722a',  TO_Date( '09/13/1994 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 3, 'Net 60'
, 'PS2091'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7066', 'A2976',  TO_Date( '05/24/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 50
, 'Net 30', 'PC8888'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7066', 'QA7442.3',  TO_Date( '09/13/1994 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 75, 'ON invoice', 'PS2091'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7067', 'D4482',  TO_Date( '09/14/1994 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 10
, 'Net 60', 'PS2091'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7067', 'P2121',  TO_Date( '06/15/1992 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 40
, 'Net 30', 'TC3218'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7067', 'P2121',  TO_Date( '06/15/1992 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 20
, 'Net 30', 'TC4203'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7067', 'P2121',  TO_Date( '06/15/1992 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 20
, 'Net 30', 'TC7777'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7131', 'N914008',  TO_Date( '09/14/1994 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 20
, 'Net 30', 'PS2091'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7131', 'N914014',  TO_Date( '09/14/1994 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 25
, 'Net 30', 'MC3021'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7131', 'P3087a',  TO_Date( '05/29/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 20
, 'Net 60', 'PS1372'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7131', 'P3087a',  TO_Date( '05/29/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 25
, 'Net 60', 'PS2106'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7131', 'P3087a',  TO_Date( '05/29/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 15
, 'Net 60', 'PS3333'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7131', 'P3087a',  TO_Date( '05/29/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 25
, 'Net 60', 'PS7777'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7896', 'QQ2299',  TO_Date( '10/28/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 15
, 'Net 60', 'BU7832'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7896', 'TQ456',  TO_Date( '12/12/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 10
, 'Net 60', 'MC2222'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'7896', 'X999',  TO_Date( '02/21/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 35
, 'ON invoice', 'BU2075'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'8042', '423LL922',  TO_Date( '09/14/1994 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 15, 'ON invoice', 'MC3021'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'8042', '423LL930',  TO_Date( '09/14/1994 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')
, 10, 'ON invoice', 'BU1032'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'8042', 'P723',  TO_Date( '03/11/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 25
, 'Net 30', 'BU1111'); 
INSERT INTO SALES ( STOR_ID, ORD_NUM, ORD_DATE, QTY, PAYTERMS,
TITLE_ID ) VALUES ( 
'8042', 'QA879.1',  TO_Date( '05/22/1993 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM'), 30
, 'Net 30', 'PC1035'); 
commit;
 
INSERT INTO STORES ( STOR_ID, STOR_NAME, STOR_ADDRESS, CITY, STATE,
ZIP ) VALUES ( 
'6380', 'Eric the Read Books', '788 Catamaugus Ave.', 'Seattle', 'WA', '98056'); 
INSERT INTO STORES ( STOR_ID, STOR_NAME, STOR_ADDRESS, CITY, STATE,
ZIP ) VALUES ( 
'7066', 'Barnum''s', '567 Pasadena Ave.', 'Tustin', 'CA', '92789'); 
INSERT INTO STORES ( STOR_ID, STOR_NAME, STOR_ADDRESS, CITY, STATE,
ZIP ) VALUES ( 
'7067', 'News & Brews', '577 First St.', 'Los Gatos', 'CA', '96745'); 
INSERT INTO STORES ( STOR_ID, STOR_NAME, STOR_ADDRESS, CITY, STATE,
ZIP ) VALUES ( 
'7131', 'Doc-U-Mat: Quality Laundry and Books', '24-A Avogadro Way', 'Remulade', 'WA'
, '98014'); 
INSERT INTO STORES ( STOR_ID, STOR_NAME, STOR_ADDRESS, CITY, STATE,
ZIP ) VALUES ( 
'7896', 'Fricative Bookshop', '89 Madison St.', 'Fremont', 'CA', '90019'); 
INSERT INTO STORES ( STOR_ID, STOR_NAME, STOR_ADDRESS, CITY, STATE,
ZIP ) VALUES ( 
'8042', 'Bookbeat', '679 Carson St.', 'Portland', 'OR', '89076'); 
commit;
 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'172-32-1176', 'PS3333', 1, 100); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'213-46-8915', 'BU1032', 2, 40); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'213-46-8915', 'BU2075', 1, 100); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'238-95-7766', 'PC1035', 1, 100); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'267-41-2394', 'BU1111', 2, 40); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'267-41-2394', 'TC7777', 2, 30); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'274-80-9391', 'BU7832', 1, 100); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'409-56-7008', 'BU1032', 1, 60); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'427-17-2319', 'PC8888', 1, 50); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'472-27-2349', 'TC7777', 3, 30); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'486-29-1786', 'PC9999', 1, 100); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'486-29-1786', 'PS7777', 1, 100); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'648-92-1872', 'TC4203', 1, 100); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'672-71-3249', 'TC7777', 1, 40); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'712-45-1867', 'MC2222', 1, 100); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'722-51-5454', 'MC3021', 1, 75); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'724-80-9391', 'BU1111', 1, 60); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'724-80-9391', 'PS1372', 2, 25); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'756-30-7391', 'PS1372', 1, 75); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'807-91-6654', 'TC3218', 1, 100); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'846-92-7186', 'PC8888', 2, 50); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'899-46-2035', 'MC3021', 2, 25); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'899-46-2035', 'PS2091', 2, 50); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'998-72-3567', 'PS2091', 1, 50); 
INSERT INTO TITLEAUTHOR ( AU_ID, TITLE_ID, AU_ORD, ROYALTYPER ) VALUES ( 
'998-72-3567', 'PS2106', 1, 100); 
commit;
 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'BU1032', 'The Busy Executive''s Database Guide', 'business', '1389', 19.99, 5000
, 10, 4095, 'An overview of available database systems with emphasis on common business applications. Illustrated.'
,  TO_Date( '06/12/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'BU1111', 'Cooking with Computers: Surreptitious Balance Sheets', 'business', '1389'
, 11.95, 5000, 10, 3876, 'Helpful hints on how to use your electronic resources to the best advantage.'
,  TO_Date( '06/09/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'BU2075', 'You Can Combat Computer Stress!', 'business', '0736', 2.99, 10125, 24, 18722
, 'The latest medical and psychological techniques for living with the electronic office. Easy-to-understand explanations.'
,  TO_Date( '06/30/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'BU7832', 'Straight Talk About Computers', 'business', '1389', 19.99, 5000, 10, 4095
, 'Annotated analysis of what computers can do for you: a no-hype guide for the critical user.'
,  TO_Date( '06/22/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'MC2222', 'Silicon Valley Gastronomic Treats', 'mod_cook', '0877', 19.99, 0, 12, 2032
, 'Favorite recipes for quick, easy, and elegant meals.',  TO_Date( '06/09/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'MC3021', 'The Gourmet Microwave', 'mod_cook', '0877', 2.99, 15000, 24, 22246, 'Traditional French gourmet recipes adapted for modern microwave cooking.'
,  TO_Date( '06/18/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'MC3026', 'The Psychology of Computer Cooking', 'UNDECIDED', '0877', NULL, NULL, NULL
, NULL, NULL,  TO_Date( '12/13/2004 04:11:36 PM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'PC1035', 'But Is It User Friendly?', 'popular_comp', '1389', 22.95, 7000, 16, 8780
, 'A survey of software for the naive user, focusing on the ''friendliness'' of each.'
,  TO_Date( '06/30/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'PC8888', 'Secrets of Silicon Valley', 'popular_comp', '1389', 20, 8000, 10, 4095
, 'Muckraking reporting on the world''s largest computer hardware and software manufacturers.'
,  TO_Date( '06/12/1994 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'PC9999', 'Net Etiquette', 'popular_comp', '1389', NULL, NULL, NULL, NULL, 'A must-read for computer conferencing.'
,  TO_Date( '12/13/2004 04:11:36 PM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'PS1372', 'Computer Phobic AND Non-Phobic Individuals: Behavior Variations', 'psychology'
, '0877', 21.59, 7000, 10, 375, 'A must for the specialist, this book examines the difference between those who hate and fear computers and those who don''t.'
,  TO_Date( '10/21/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'PS2091', 'Is Anger the Enemy?', 'psychology', '0736', 10.95, 2275, 12, 2045, 'Carefully researched study of the effects of strong emotions on the body. Metabolic charts included.'
,  TO_Date( '06/15/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'PS2106', 'Life Without Fear', 'psychology', '0736', 7, 6000, 10, 111, 'New exercise, meditation, and nutritional techniques that can reduce the shock of daily interactions. Popular audience. Sample menus included, exercise video available separately.'
,  TO_Date( '10/05/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'PS3333', 'Prolonged Data Deprivation: Four Case Studies', 'psychology', '0736', 19.99
, 2000, 10, 4072, 'What happens when the data runs dry?  Searching evaluations of information-shortage effects.'
,  TO_Date( '06/12/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'PS7777', 'Emotional Security: A New Algorithm', 'psychology', '0736', 7.99, 4000
, 10, 3336, 'Protecting yourself and your loved ones from undue emotional stress in the modern world. Use of computer and nutritional aids emphasized.'
,  TO_Date( '06/12/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'TC3218', 'Onions, Leeks, and Garlic: Cooking Secrets of the Mediterranean', 'trad_cook'
, '0877', 20.95, 7000, 10, 375, 'Profusely illustrated in color, this makes a wonderful gift book for a cuisine-oriented friend.'
,  TO_Date( '10/21/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'TC4203', 'Fifty Years in Buckingham Palace Kitchens', 'trad_cook', '0877', 11.95
, 4000, 14, 15096, 'More anecdotes from the Queen''s favorite cook describing life among English royalty. Recipes, techniques, tender vignettes.'
,  TO_Date( '06/12/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO TITLES ( TITLE_ID, TITLE, TYPE, PUB_ID, PRICE, ADVANCE, ROYALTY, YTD_SALES, NOTES,
PUBDATE ) VALUES ( 
'TC7777', 'Sushi, Anyone?', 'trad_cook', '0877', 14.99, 8000, 10, 4095, 'Detailed instructions on how to make authentic Japanese sushi in your spare time.'
,  TO_Date( '06/12/1991 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
commit;
 
